﻿#language: ru

@OrdersConfirmation

Функционал: 001. OrdersConfirmation. НСИ.

Сценарий: 001.1. OrdersConfirmation. Создание этапов заказов и заявки
	
	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Справочники.к2ЭтапыДокументов" без контроля ссылок
	И Я создаю этап "Исходный - Заказ клиента" для документа "Заказ клиента" с порядком "1"
	И Я создаю этап "Подтвержденный - Заказ клиента" для документа "Заказ клиента" с порядком "2"
	И Я создаю этап "Исходный - Заказ на перемещение" для документа "Заказ на перемещение" с порядком "1"
	И Я создаю этап "Подтвержденный - Заказ на перемещение" для документа "Заказ на перемещение" с порядком "2"
	И Я создаю этап "Исходный - Заявка на производство" для документа "Заявка на производство" с порядком "1"
	И Я создаю этап "Подтвержденный - Заявка на производство" для документа "Заявка на производство" с порядком "2"

Сценарий: 001.2. OrdersConfirmation. Создание состояний заказов

	Дано я удаляю объекты "Справочники.к2СостоянияДокументов" без контроля ссылок
	И Я создаю состояние "Заказ клиента подтвержден" для документа "Документ.ЗаказКлиента"
	И Я создаю состояние "Подтвержден - перемещение" для документа "Документ.к2ЗаказНаПеремещение"

Сценарий: 001.3. OrdersConfirmation. Создание сценариев планирования заявок на производство

	Дано я удаляю объекты "Справочники.к2Планирование_Сценарии" без контроля ссылок
	И Я создаю сценарий планирования заявок на производство "Сценарий планирования заявок на производство 1"
	И Я создаю сценарий планирования заявок на производство "Сценарий планирования заявок на производство 2"
	И Я создаю сценарий планирования заявок на производство "Сценарий планирования заявок на производство 3"

Сценарий: 001.4. OrdersConfirmation. Загрузка НСИ

	Дано Я загружаю общую НСИ
 
Сценарий: 001.5. OrdersConfirmation. Завершение

	И Я закрыл все окна клиентского приложения